lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date:   Fri, 15 Oct 2021 14:19:51 -0700
From:   Jakub Kicinski <kuba@...nel.org>
To:     Volodymyr Mytnyk <volodymyr.mytnyk@...ision.eu>
Cc:     netdev@...r.kernel.org, Taras Chornyi <taras.chornyi@...ision.eu>,
        Mickey Rachamim <mickeyr@...vell.com>,
        Serhiy Pshyk <serhiy.pshyk@...ision.eu>,
        Andrew Lunn <andrew@...n.ch>,
        Volodymyr Mytnyk <vmytnyk@...vell.com>,
        Vadym Kochan <vkochan@...vell.com>,
        Yevhen Orlov <yevhen.orlov@...ision.eu>,
        Taras Chornyi <tchornyi@...vell.com>,
        "David S. Miller" <davem@...emloft.net>,
        linux-kernel@...r.kernel.org
Subject: Re: [PATCH net-next] net: marvell: prestera: add firmware v4.0
 support

On Fri, 15 Oct 2021 17:56:32 +0300 Volodymyr Mytnyk wrote:
> From: Volodymyr Mytnyk <vmytnyk@...vell.com>
> 
> Add firmware (FW) version 4.0 support for Marvell Prestera
> driver. This FW ABI will be compatible with future Prestera
> driver versions and features.
> 
> The previous FW support is dropped due to significant changes
> in FW ABI, thus this version of Prestera driver will not be
> compatible with previous FW versions.

drivers/net/ethernet/marvell/prestera/prestera_hw.c:786:5: warning: no previous prototype for ‘prestera_hw_port_state_set’ [-Wmissing-prototypes]
  786 | int prestera_hw_port_state_set(const struct prestera_port *port,
      |     ^~~~~~~~~~~~~~~~~~~~~~~~~~

Powered by blists - more mailing lists